package com.example.demo.genres.model;

import java.util.Objects;

import com.example.demo.core.model.BaseEntity;

public class GenreEntity extends BaseEntity {
    private String name;

    public GenreEntity() {
        super();
    }

    public GenreEntity(Integer id, String name) {
        super(id);
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, name);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null || getClass() != obj.getClass())
            return false;
        final GenreEntity other = (GenreEntity) obj;
        return Objects.equals(other.getId(), id) && Objects.equals(other.getName(), name);
    }
}
