package com.example.demo.favorites.repository;

import java.util.Optional;
import java.util.List;
import org.springframework.data.repository.CrudRepository;

import com.example.demo.favorites.model.FavoriteEntity;

public interface FavoriteRepository extends CrudRepository<FavoriteEntity, Long> {
    List<FavoriteEntity> findByUserId(Long userId);

    Optional<FavoriteEntity> findOneByUserIdAndId(Long userId, Long id);
}
