package com.example.demo;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

public class BookDto {
    private String name;
    private String author;
    private String genre;
    private String year;
    private String description;

    public BookDto() {
    }

    @JsonCreator
    public BookDto(
            @JsonProperty(value = "name") String name,
            @JsonProperty(value = "author") String author,
            @JsonProperty(value = "genre") String genre,
            @JsonProperty(value = "year") String year,
            @JsonProperty(value = "description") String description) {
        this.name = name;
        this.author = author;
        this.genre = genre;
        this.year = year;
        this.description = description;
    }

    public String getName() {
        return name;
    }

    public String getAuthor() {
        return author;
    }

    public String getGenre() {
        return genre;
    }

    public String getYear() {
        return year;
    }

    public String getDescription() {
        return description;
    }
}
